fDestroy(3)

NAME
fDestroy - destroy a lock.

SYNOPSIS
#include <util/ulocks.h> void fDestroy(int lock);

ARGUMENTS
lock - Lock to destroy.

DESCRIPTION
Destroys the lock <lock> that was created by fCreate() or fFind(). MT-Level: Safe for unique <lock>.

RETURN VALUE
None.

SEE ALSO
mCreate(3), fCreate(3), mUnlock(3), fUnlock(3), cBroadcast(3), cSignal(3), fFind(3), cDestroy(3), cCreate(3), mDestroy(3), cWait(3), fLock(3), fDestroy(3), mLock